version: "3.9"

networks:
  vois:

services:
  mysql:
    image: mysql:latest
    container_name: mysql
    env_file:
      - .env
    ports:
      - "3307:3306"
    volumes:
      - mysql-data:/var/lib/mysql

  backend:
    container_name: backend-rails
    build:
      context: backend
      dockerfile: Dockerfile
    ports:
      - "3000:3000"
    volumes:
      - ./backend:/backend
    env_file:
      - .env
    depends_on:
      - mysql

  frontend:
    container_name: frontend-react
    build:
      context: frontend
      dockerfile: Dockerfile
    env_file:
      - .env
    ports:
      - "3001:3000"
    volumes:
      - ./frontend:/frontend
    depends_on:
      - backend

volumes:
  mysql-data:
